vnfd:
  description: A VNF consisting of 1 VDU with cloud-init, and a monitoring ee
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: mgmtVM
    vdu-profile:
    - id: mgmtVM
      min-number-of-instances: 1
    vnf-configuration-id: default-vnf-configuration
  ext-cpd:
  - id: vnf-mgmt-ext
    int-cpd:
      cpd: mgmtVM-eth0-int
      vdu-id: mgmtVM
  id: simple_ee-vnf
  mgmt-cp: vnf-mgmt-ext
  product-name: simple_ee-vnf
  sw-image-desc:
  - id: ubuntu16.04
    image: ubuntu16.04
    name: ubuntu16.04
  vdu:
  - cloud-init-file: cloud-config.txt
    id: mgmtVM
    int-cpd:
    - id: mgmtVM-eth0-int
      virtual-network-interface-requirement:
      - name: mgmtVM-eth0
        position: 1
        virtual-interface:
          type: PARAVIRT
    name: mgmtVM
    sw-image-desc: ubuntu16.04
    virtual-compute-desc: mgmtVM-compute
    virtual-storage-desc:
    - mgmtVM-storage
  version: '1.0'
  virtual-compute-desc:
  - id: mgmtVM-compute
    virtual-cpu:
      num-virtual-cpu: 1
      pinning:
        policy: static
        thread-policy: PREFER
    virtual-memory:
      mempage-size: LARGE
      numa-enabled: true
      numa-node-policy:
        mem-policy: STRICT
        node:
        - id: '1'
        node-cnt: '1'
      size: 1.0
  virtual-storage-desc:
  - id: mgmtVM-storage
    size-of-storage: 20
  vnf-configuration:
  - config-access:
      ssh-access:
        default-user: ubuntu
        required: true
    config-primitive:
    - execution-environment-primitive: touch
      execution-environment-ref: monitor
      name: touch
      parameter:
      - data-type: STRING
        default-value: /home/ubuntu/touched
        name: file-path
    - execution-environment-primitive: sleep
      execution-environment-ref: monitor
      name: sleep
    execution-environment-list:
    - connection-point-ref: vnf-mgmt
      helm-chart: eechart
      id: monitor
    id: default-vnf-configuration
    initial-config-primitive:
    - execution-environment-ref: monitor
      name: config
      parameter:
      - name: ssh-hostname
        value: <rw_mgmt_ip>
      - name: ssh-username
        value: ubuntu
      - name: ssh-password
        value: osm2020
      seq: '1'
    - execution-environment-ref: monitor
      name: touch
      parameter:
      - name: file-path
        value: /home/ubuntu/first-touch
      seq: '2'
